FileTypeHint (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.store, enum: FileTypeHint

Package org.apache.lucene.store

# Enum Class FileTypeHint

java.lang.Object
java.lang.Enum<FileTypeHint>
org.apache.lucene.store.FileTypeHint

All Implemented Interfaces:
  `Serializable`, `Comparable<FileTypeHint>`, `Constable`, `IOContext.FileOpenHint`

public enum FileTypeHint extends Enum<FileTypeHint> implements IOContext.FileOpenHint
Hints on the type of file being opened.

NOTE: There is no constant for metadata files, since metadata files should be opened with `Directory.openChecksumInput(String)`, which doesn't take hints.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DATA`
  The file contains field data.
  `INDEX`
  The file contains indexes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FileTypeHint`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FileTypeHint[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INDEX

    public static final FileTypeHint INDEX
    The file contains indexes. It is small (~1% or less of the data size) and generally fits in the page cache.

  - ### DATA

    public static final FileTypeHint DATA
    The file contains field data.

- ## Method Details

  - ### values

    public static FileTypeHint[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FileTypeHint valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null